CAD中中效过滤器规格器

欢迎加我的QQ群:,一起来讨论、交流!
using&Autodesk.AutoCAD.ApplicationS
using&Autodesk.AutoCAD.DatabaseS
using&Autodesk.AutoCAD.EditorI
using&Autodesk.AutoCAD.R
using&Autodesk.AutoCAD.LayerM
namespace&LayerFilters
&&public&class&Commands
& & [CommandMethod("LLFS")]
& &&static&public&void&ListLayerFilters()
& && &Document&doc =
& && &&&Application.DocumentManager.MdiActiveD
& && &Database&db = doc.D
& && &Editor&ed = doc.E
& && &// List the nested layer filters
& && &LayerFilterCollection&lfc =
& && && db.LayerFilters.Root.NestedF
& && &for&(int&i = 0; i & lfc.C ++i)
& && &&&LayerFilter&lf = lfc[i];
& && && ed.WriteMessage(
& && && &&"\n{0} - {1} (can{2} be deleted)",
& && && & i + 1,
& && && & lf.Name,
& && && & (lf.AllowDelete ?&""&:&"not")
& && && );
& & [CommandMethod("CLFS")]
& &&static&public&void&CreateLayerFilters()
& && &Document&doc =
& && &&&Application.DocumentManager.MdiActiveD
& && &Database&db = doc.D
& && &Editor&ed = doc.E
& && &&&// Get the existing layer filters
& && &&&// (we will add to them and set them back)
& && &&&LayerFilterTree&lft =
& && && & db.LayerF
& && &&&LayerFilterCollection&lfc =
& && && & lft.Root.NestedF
& && &&&// Create three new layer filters
& && &&&LayerFilter&lf1 =&new&LayerFilter();
& && && lf1.Name =&"Unlocked Layers";
& && && lf1.FilterExpression =&"LOCKED==\"False\"";
& && &&&LayerFilter&lf2 =&new&LayerFilter();
& && && lf2.Name =&"White Layers";
& && && lf2.FilterExpression =&"COLOR==\"7\"";
& && &&&LayerFilter&lf3 =&new&LayerFilter();
& && && lf3.Name =&"Visible Layers";
& && && lf3.FilterExpression =
& && && &&"OFF==\"False\" AND FROZEN==\"False\"";
& && &&&// Add them to the collection
& && && lfc.Add(lf1);
& && && lfc.Add(lf2);
& && && lfc.Add(lf3);
& && &&&// Set them back on the Database
& && && db.LayerFilters =
& && &&&// List the layer filters, to see the new ones
& && && ListLayerFilters();
& && &catch&(Exception&ex)
& && && ed.WriteMessage(
& && && &&"\nException: {0}",
& && && & ex.Message
& && && );
& & [CommandMethod("DLF")]
& &&static&public&void&DeleteLayerFilter()
& && &Document&doc =
& && &&&Application.DocumentManager.MdiActiveD
& && &Database&db = doc.D
& && &Editor&ed = doc.E
& && &ListLayerFilters();
& && &&&// Get the existing layer filters
& && &&&// (we will add to them and set them back)
& && &&&LayerFilterTree&lft =
& && && & db.LayerF
& && &&&LayerFilterCollection&lfc =
& && && & lft.Root.NestedF
& && &&&// Prompt for the index of the filter to delete
& && &&&PromptIntegerOptions&pio =
& && && &&new&PromptIntegerOptions(
& && && &&"\n\nEnter index of filter to delete"
& && && & );
& && && pio.LowerLimit = 1;
& && && pio.UpperLimit = lfc.C
& && &&&PromptIntegerResult&pir =
& && && & ed.GetInteger(pio);
& && &&&// Get the selected filter
& && &&&LayerFilter&lf = lfc[pir.Value - 1];
& && &&&// If it's possible to delete it, do so
& && &&&if&(!lf.AllowDelete)
& && && & ed.WriteMessage(
& && && && &"\nLayer filter cannot be deleted."
& && && & );
& && &&&else
& && && & lfc.Remove(lf);
& && && & db.LayerFilters =
& && && & ListLayerFilters();
& && &catch(Exception&ex)
& && && ed.WriteMessage(
& && && &&"\nException: {0}",
& && && & ex.Message
& && && );
阅读(...) 评论()如何删除图层过滤器在 AutoCAD 中 | AutoCAD LT | Autodesk Knowledge Networkcad过滤器_cad过滤器价格_优质cad过滤器批发/采购 - 阿里巴巴
您是不是在找:
月均发货速度:
月均发货速度:
月均发货速度:
月均发货速度:
月均发货速度:
月均发货速度:
月均发货速度:
月均发货速度:
月均发货速度:
月均发货速度:
月均发货速度:
月均发货速度:
月均发货速度:
月均发货速度:
月均发货速度:
阿里巴巴为您找到18条cad过滤器产品的详细参数,实时报价,价格行情,优质批发/供应等信息。您还可以找前置过滤器,y型过滤器,袋式过滤器,空气过滤器,高效过滤器等产品信息。
感兴趣的产品
感兴趣的厂家
感兴趣的内容
48小时发货
48小时发货拒绝访问 | www.bzfxw.com | 百度云加速
请打开cookies.
此网站 (www.bzfxw.com) 的管理员禁止了您的访问。原因是您的访问包含了非浏览器特征(243ad-ua98).
重新安装浏览器,或使用别的浏览器

我要回帖

更多关于 中效过滤器材质 的文章

 

随机推荐